package bank;

import java.util.Scanner;

public class BankUI {
	private static Bank bank;
	private static Scanner kb = new Scanner(System.in);

	public static void main(String[] args) {
		bank = new Bank("Spaßkasse"); //Bank.loadBankData();
		
		willkommen();
		hauptmenü();
	}

	public static void willkommen() {
		System.out.println("Willkommen bei der " + bank.getName() + " - Standardversion!");
		System.out.println("----------------------------------");
		System.out.println();
	}

	private static void hauptmenü() {
		do {
			System.out.println("Aufgabe auswählen:");
			System.out.println("1) Konto anlegen");
			System.out.println("2) Geld einzahlen");
			System.out.println("3) Kontenliste anzeigen");
			System.out.println("9) Programm beenden");

			System.out.print("Eingabe > ");

			int eingabe = kb.nextInt();

			switch (eingabe) {
				case 1 -> kontoAnlegenScreen();
				case 2 -> geldEinzahlenScreen();
				case 3 -> kontenlisteAnzeigenScreen();
				case 9 -> aufWiedersehenScreen();
			}
			
			System.out.println();
		} while(true);
	}

	private static void kontoAnlegenScreen() {
		System.out.print("Bitte Name des künftigen Inhabers angeben: ");
		String inhaber = kb.next();

		int kontonummer = bank.kontoAnlegen(inhaber);
		System.out.println("Konto mit der Nummer " + kontonummer + " angelegt.");
	}
	
	private static void geldEinzahlenScreen() {
		System.out.print("Bitte Kontonummer eingeben: ");
		int kontonummer = kb.nextInt();
		
		System.out.print("Bitte Betrag eingeben: ");
		double betrag = kb.nextDouble();
		
		boolean erg = bank.geldEinzahlen(kontonummer, betrag);
		System.out.println("Geld einzahlen " + (erg?"": "nicht ") + "erfolgreich.");
	}
	
	private static void kontenlisteAnzeigenScreen() {
		System.out.println("Hier sind die Konten:");
		
		for (String ke : bank.getKontendaten()) {
			System.out.println(ke.toString());
		}
	}

	private static void aufWiedersehenScreen() {
		System.out.println("Danke für Ihren Besuch und auf baldiges Wiedersehen!");
		System.exit(0);
	}

}
